Featherlane AI
ReferenceHTTP API

Api keys

GET
/v1/api-keys

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/api-keys"
{  "api_keys": [    {      "created_at": "string",      "created_by": "string",      "environment": "string",      "environment_id": "string",      "id": "string",      "last_used_at": "string",      "name": "string",      "prefix": "string",      "principal_id": "string",      "status": "string"    }  ]}
POST
/v1/api-keys

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/api-keys" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "api_key": {    "created_at": "string",    "created_by": "string",    "environment": "string",    "environment_id": "string",    "id": "string",    "last_used_at": "string",    "name": "string",    "prefix": "string",    "principal_id": "string",    "status": "string"  },  "plaintext_key": "string"}
PATCH
/v1/api-keys/batch/revoke

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/api-keys/batch/revoke" \  -H "Content-Type: application/json" \  -d '{    "ids": [      "string"    ]  }'
{  "api_keys": [    {      "created_at": "string",      "created_by": "string",      "environment": "string",      "environment_id": "string",      "id": "string",      "last_used_at": "string",      "name": "string",      "prefix": "string",      "principal_id": "string",      "status": "string"    }  ]}